import request from '@/utils/request'

// 我的库存
export function getMyInventoryList(query) {
    return request({
        url: '/mobile/materialInventory/list',
        method: 'get',
        params: query
    })
}
// 物料
export function getReceiveList(query) {
    return request({
        url: '/mobile/materialInventory/receiveList',
        method: 'get',
        params: query
    })
}
// 编辑物料
export function addMaterialInventory(data) {
    return request({
        url: '/mobile/materialInventory/change',
        method: 'PUT',
        data
    })
}

//
export function getVisitsParams(query) {
    return request({
        url: 'mobile/storeGroup/getVisitsParams',
        method: 'get',
        params: query
    })
}

export function saveVisitsParams(data) {
    return request({
        url: 'mobile/storeGroup/saveVisitsParams',
        method: 'post',
        data
    })
}
// 高净值门店列表
export function topStore(query) {
    return request({
        url: '/mobile/top/topStore',
        method: 'get',
        params: query
    })
}
export function topjoinInPlan(query) {
    return request({
        url: '/mobile/top/joinInPlan',
        method: 'get',
        params: query
    })
}

export function aiDialogue(data) {
    return request({
        url: 'mobile/ai/aiDialogue',
        method: 'post',
        data
    })
}

export function moduleList(query) {
    return request({
        url: '/mobile/activiti/todoItem/moduleList',
        method: 'get',
        params: query
    })
}
// 去下单获取下单地址
export function getOrderUrlByStoreId(query) {
    return request({
        url: '/mobile/route/getOrderUrlByStoreId',
        method: 'get',
        params: query
    })
}
